0

I want to upgrade my PostgreSQL 9.4 cluster to PostgreSQL 9.6 since upgrading debian to 9.0 (stretch) I lost PostgreSQL 9.4 however and it's also not in the repos anymore.

Without PostgreSQL 9.4 I however can't upgrade using pg_upgradecluster

Shall I install PostgreSQL 9.4 using an installer? Will it work on Debian stretch? Can I copy my cluster to a machine with Debian 8 and both versions of PostgreSQL to upgrade on?

0

I was able to upgrade the cluster after installing PostgreSQL 9.4 from the PostgreSQL apt repository as described on https://www.postgresql.org/download/linux/debian PostgreSQL 9.4 works on Debian 9, at least for upgrading a cluster.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.